GNU bug report logs - #31347
AM_PROG_CC_C_O is disabled by gnulib std-gnu11.m4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Mike Miller <mtmiller@HIDDEN>; dated Wed, 2 May 2018 23:05:01 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 31347 <at> debbugs.gnu.org:


Received: (at 31347) by debbugs.gnu.org; 3 May 2018 15:11:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 03 11:11:30 2018
Received: from localhost ([127.0.0.1]:48363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEFtJ-0002nr-Fv
	for submit <at> debbugs.gnu.org; Thu, 03 May 2018 11:11:29 -0400
Received: from mail.fumasoftware.co.uk ([46.226.248.159]:45467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jamal.natour@HIDDEN>) id 1fEAHP-0007Fi-R3
 for 31347 <at> debbugs.gnu.org; Thu, 03 May 2018 05:12:00 -0400
Received: from fumasoftware.com
 (cpc93820-hari18-2-0-cust279.20-2.cable.virginm.net [82.36.113.24])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: jamal.natour@HIDDEN)
 by mail.fumasoftware.co.uk (Postfix) with ESMTPSA id 4A17CE866E;
 Thu,  3 May 2018 10:11:53 +0100 (BST)
Date: Thu, 3 May 2018 10:11:50 +0100
From: Jamal Natour <jamal.natour@HIDDEN>
To: Mike Miller <mtmiller@HIDDEN>
Subject: Re: bug#31347: AM_PROG_CC_C_O is disabled by gnulib std-gnu11.m4
Message-ID: <20180503091149.qjaeb6hg3hczhpuw@HIDDEN>
References: <20180502225601.GA6099@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20180502225601.GA6099@HIDDEN>
Organization: Fuma Software LTD
X-URL: http://www.fumasoftware.com
User-Agent: NeoMutt/20170609 (1.8.3)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31347
X-Mailman-Approved-At: Thu, 03 May 2018 11:11:28 -0400
Cc: 31347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

As a user of C++11 and C++14, I use the ax_cxx_compile_stdcxx variants,
these have seemed to work on the various combinations of
platforms/compilers I've used.

https://github.com/jamal-fuma/fuma_m4/blob/master/ax_cxx_compile_stdcxx.m4
https://github.com/jamal-fuma/fuma_m4/blob/master/ax_cxx_compile_stdcxx_14.m4

Perhaps these will offer a workaround until such time as you can solve
the issue.

HTH

Jamal

On 15:56 Wed 02 May 2018    , Mike Miller wrote:
> Hi,
>
> In GNU Octave, we are embracing a lot of C++11, and so we are using the
> gnulib std-gnu11.m4 drop-in to ensure that the compiler conforms to the
> latest standards. I think several other GNU projects also use this file.
>
> The std-gnu11.m4 file defines AC_PROG_CC and AC_PROG_CXX replacements,
> which I think are backported from Autoconf git.
>
> In a trivial project, for example
>
>     AC_INIT([test], [0])
>     AM_INIT_AUTOMAKE([1.14 foreign])
>     AC_PROG_CC
>     AC_CONFIG_FILES([Makefile])
>     AC_OUTPUT
>
> the AM_PROG_CC_C_O feature test is automatically called, as expected and
> described in the Automake 1.14 NEWS.
>
> With std-gnu11.m4 added to this project, however, the AM_PROG_CC_C_O
> macro is no longer called, either automatically or manually. The
> intention of Automake to ensure that this test is always done is
> defeated simply by including this file.
>
> If a call to the real macro
>
>     _AM_PROG_CC_C_O
>
> is added after AC_PROG_CC, then the feature test is restored.
>
> I know enough m4 to get by, but I suspect this has to do with the order
> of inclusion, and that Automake redefines AC_PROG_CC to call its own
> _AM_PROG_CC_C_O, which is later clobbered by the inclusion of
> std-gnu11.m4.
>
> Is there anything Automake can do to ensure that AM_PROG_CC_C_O is
> called even if AC_PROG_CC is redefined locally?
>
> Even if you judge this not to be an Automake bug, I wanted to bring this
> to your attention, since the std-gnu11.m4 file is the recommended way to
> rely on modern language standards support at the moment.
>
> Thanks,
>
> --
> mike



--
Fuma Software Ltd.
Kemp House, 152-160 City Road, London, EC1V 2NX

mob : +44(0)7830 164 097
tel : +44(0)2070 961 904
mail: jamal.natour@HIDDEN
Registered in England and Wales 6870430




Information forwarded to bug-automake@HIDDEN:
bug#31347; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2018 23:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 02 19:04:07 2018
Received: from localhost ([127.0.0.1]:47420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fE0n9-0005sU-5l
	for submit <at> debbugs.gnu.org; Wed, 02 May 2018 19:04:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.t.miller@HIDDEN>) id 1fE0fZ-0005fx-UE
 for submit <at> debbugs.gnu.org; Wed, 02 May 2018 18:56:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mike.t.miller@HIDDEN>) id 1fE0fT-0007CX-KN
 for submit <at> debbugs.gnu.org; Wed, 02 May 2018 18:56:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55251)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mike.t.miller@HIDDEN>)
 id 1fE0fT-0007CS-F7
 for submit <at> debbugs.gnu.org; Wed, 02 May 2018 18:56:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38933)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mike.t.miller@HIDDEN>) id 1fE0fS-0004fU-91
 for bug-automake@HIDDEN; Wed, 02 May 2018 18:56:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mike.t.miller@HIDDEN>) id 1fE0fO-000770-6q
 for bug-automake@HIDDEN; Wed, 02 May 2018 18:56:10 -0400
Received: from mail-pf0-f176.google.com ([209.85.192.176]:43759)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <mike.t.miller@HIDDEN>)
 id 1fE0fO-00075X-0S
 for bug-automake@HIDDEN; Wed, 02 May 2018 18:56:06 -0400
Received: by mail-pf0-f176.google.com with SMTP id b26so272287pfi.10
 for <bug-automake@HIDDEN>; Wed, 02 May 2018 15:56:05 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version
 :content-disposition:user-agent;
 bh=J0xApHXxIMupW6e8DLDYxpid9C5hNtBUVFztqIkxEtk=;
 b=dHYCITW0fVXylWcKhIVmqQ8HmN7De7OKz3h5/8oCYws4kFyTswAai/08B/1+g2omsS
 LfpciPWCY6EHXkzJZ1ixmy0mRa+tehOqPNMitXXsmGBVHI0aRl4+wIAsBk/PN+lhzgow
 4zsDMxXXFgROexUqjspshduGIDO2sOQ3yF7kLvgFj9bnR4t/OE3bxXZ03iMYg9TcDO/7
 XkcyHnRS/uXRbAplTzdoOMMa9F5MEVeEqDA+cRTfKFHGYDiAThPXBW8bjWsa6D6Tj+hf
 G+RJPPnbtnBxCmjyk+khNupF4KuzPSQHNvPmbeWrZ9lXktedeFBwB9TO65A7Jx/Pt5QZ
 0waw==
X-Gm-Message-State: ALQs6tCIzN+PcdL+tkWnFIhPQZhWQt9UXC0Tvk0eSskWbYKnvRhzFjGc
 IqgYtreI5ICM0mdEelbYOAE9oyjq
X-Google-Smtp-Source: AB8JxZrmaggoLtoqbd0WYiE3LImXQXRTMJ0YR/qa7ku30RWpyldLGfSKsF9za1195kGB7wQHmQ10Tw==
X-Received: by 2002:a63:7258:: with SMTP id
 c24-v6mr17828169pgn.453.1525301764266; 
 Wed, 02 May 2018 15:56:04 -0700 (PDT)
Received: from galago.mtmxr.com ([2601:1c2:501:43a5:80dd:7af1:baae:3319])
 by smtp.gmail.com with ESMTPSA id y5sm22451488pfm.117.2018.05.02.15.56.02
 for <bug-automake@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 02 May 2018 15:56:02 -0700 (PDT)
Received: from mike by galago.mtmxr.com with local (Exim 4.90_1)
 (envelope-from <mike@HIDDEN>) id 1fE0fJ-0003th-If
 for bug-automake@HIDDEN; Wed, 02 May 2018 15:56:01 -0700
Date: Wed, 2 May 2018 15:56:01 -0700
From: Mike Miller <mtmiller@HIDDEN>
To: bug-automake@HIDDEN
Subject: AM_PROG_CC_C_O is disabled by gnulib std-gnu11.m4
Message-ID: <20180502225601.GA6099@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="sm4nu43k4a2Rpi4c"
Content-Disposition: inline
User-Agent: Mutt/1.9.4 (2018-02-28)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 02 May 2018 19:04:06 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)


--sm4nu43k4a2Rpi4c
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,

In GNU Octave, we are embracing a lot of C++11, and so we are using the
gnulib std-gnu11.m4 drop-in to ensure that the compiler conforms to the
latest standards. I think several other GNU projects also use this file.

The std-gnu11.m4 file defines AC_PROG_CC and AC_PROG_CXX replacements,
which I think are backported from Autoconf git.

In a trivial project, for example

    AC_INIT([test], [0])
    AM_INIT_AUTOMAKE([1.14 foreign])
    AC_PROG_CC
    AC_CONFIG_FILES([Makefile])
    AC_OUTPUT

the AM_PROG_CC_C_O feature test is automatically called, as expected and
described in the Automake 1.14 NEWS.

With std-gnu11.m4 added to this project, however, the AM_PROG_CC_C_O
macro is no longer called, either automatically or manually. The
intention of Automake to ensure that this test is always done is
defeated simply by including this file.

If a call to the real macro

    _AM_PROG_CC_C_O

is added after AC_PROG_CC, then the feature test is restored.

I know enough m4 to get by, but I suspect this has to do with the order
of inclusion, and that Automake redefines AC_PROG_CC to call its own
_AM_PROG_CC_C_O, which is later clobbered by the inclusion of
std-gnu11.m4.

Is there anything Automake can do to ensure that AM_PROG_CC_C_O is
called even if AC_PROG_CC is redefined locally?

Even if you judge this not to be an Automake bug, I wanted to bring this
to your attention, since the std-gnu11.m4 file is the recommended way to
rely on modern language standards support at the moment.

Thanks,

--=20
mike

--sm4nu43k4a2Rpi4c
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEjM8i8+X7hnRontVHj+du6+d1fSwFAlrqQgEACgkQj+du6+d1
fSyLhA/+M/YJ5TKRCXflH7ZtlKhgFAm8w8TzgD28c65MVaM8OjHfTW3smQTce0ys
tG4evw/W9KaKkOevVyhxD8VRACBU1v1PI3rue5uH91mLl6vtQneYWopDkryBu4BI
b0v5xY013io4WX5N6Q2oro7/j4SaHrAOcKrl84D3TKIN1FtQ4smEKdvkl4/4uP2q
5EKU+v1SzOm1X9/HL3OfLk9UKKcKEFKSBwjXR82TA5ZngUi8aIkB/gh2neB9BeaP
V+7ugEalogRoHYJ9TkiiZo7enTIqpprH0TP14uZPZCqsa9gWP5D6Yy4TtfIo8nFE
P9aIRqVrstJ6lA2TCW+db9CByFFk1xSWCwRgLzWIbEhj3VUKTCqp0HiyXmyqnTZ9
6PpZs1f2hbe+kgmsNhBbvyzP/sM9yfv2z+2k5LhRzAFHFzU4TrhpcXjJau4YVuJo
y+5iO2nMYXD+RXYQEE37ECh3LuRBzSAI5EhUOZATptnlejjCkOF+6n9k8xReVdDQ
hcYbcK7kmbpy8vIclpM7n8jlMoDGOBuYNybXGt6JipQnC/9wDY5hjpO4Tj5naQQC
yVvnKTsLg+jxKUTEx6nlT7R3qKDDACog0ZkYvyqHVvd3B/07kXcTZx1NbMViiFGg
69GjbpkzzXJQCY7rl7tBCNmX/fCGJw6HGkklRHfYnHnvTfY6vFs=
=vUAl
-----END PGP SIGNATURE-----

--sm4nu43k4a2Rpi4c--




Acknowledgement sent to Mike Miller <mtmiller@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#31347; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.